Subject: Re: PowerPC agpmode issues

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 19 Sep 2016 20:38:56 +1000

On Mon, 2016-09-19 at 02:13 -0700, Herminio Hernandez, Jr. wrote:
> 
> I noticed the GPU was set to PCI mode however I did not set
> radeon.agpmode=-1 in yaboot. I then installed Lubuntu 16.10 along
> side Debian. I noticed that GPU was working and it was not set to
> force PCI mode. Has there been a change to kernel in Debian to force
> this by default? If so it looks like it is breaking on certain G5
> machines. I am attaching bothe dmesg files for review.
> 
> Thanks and sorry for the previous garbled email.

Hrm... this is odd. I would expect PCI mode to work and AGP to be
busted to be honest. Can you provide the complete log ? I wonder
if it's trying to enable the PCIe bypass high aperture and hits the
Radeon address limit...

Ben.